[Autenticado] Atualizar um evento
curl --request PUT \
--url https://apis.cativalab.digital/tenant/api/v2/community/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"rawDescription": "<string>",
"coverUrl": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"durationMinutes": 123,
"isAllDay": true,
"isOnline": true,
"locationName": "<string>",
"onlineUrl": "<string>",
"latitude": 123,
"longitude": 123,
"address": "<string>",
"enableRsvp": true,
"maxAttendees": 123,
"showAttendees": true,
"reminderMinutes": "<string>",
"reminderMessage": "<string>",
"publishMessage": "<string>",
"badgeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"courseIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"sendPushWhenLive": true,
"pushMessageOverride": "<string>",
"showInMarquee": true,
"occurrences": [
"2023-11-07T05:31:56Z"
],
"dailyStartTime": "<string>",
"dailyEndTime": "<string>"
}
'import requests
url = "https://apis.cativalab.digital/tenant/api/v2/community/events/{eventId}"
payload = {
"title": "<string>",
"description": "<string>",
"rawDescription": "<string>",
"coverUrl": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"durationMinutes": 123,
"isAllDay": True,
"isOnline": True,
"locationName": "<string>",
"onlineUrl": "<string>",
"latitude": 123,
"longitude": 123,
"address": "<string>",
"enableRsvp": True,
"maxAttendees": 123,
"showAttendees": True,
"reminderMinutes": "<string>",
"reminderMessage": "<string>",
"publishMessage": "<string>",
"badgeIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"courseIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"groupIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"sendPushWhenLive": True,
"pushMessageOverride": "<string>",
"showInMarquee": True,
"occurrences": ["2023-11-07T05:31:56Z"],
"dailyStartTime": "<string>",
"dailyEndTime": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
rawDescription: '<string>',
coverUrl: '<string>',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
durationMinutes: 123,
isAllDay: true,
isOnline: true,
locationName: '<string>',
onlineUrl: '<string>',
latitude: 123,
longitude: 123,
address: '<string>',
enableRsvp: true,
maxAttendees: 123,
showAttendees: true,
reminderMinutes: '<string>',
reminderMessage: '<string>',
publishMessage: '<string>',
badgeIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
courseIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
groupIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
sendPushWhenLive: true,
pushMessageOverride: '<string>',
showInMarquee: true,
occurrences: ['2023-11-07T05:31:56Z'],
dailyStartTime: '<string>',
dailyEndTime: '<string>'
})
};
fetch('https://apis.cativalab.digital/tenant/api/v2/community/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Eventos
[Autenticado] Atualizar um evento
PUT
/
api
/
v2
/
community
/
events
/
{eventId}
[Autenticado] Atualizar um evento
Autorizações
Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .
Parâmetros de caminho
Corpo
application/json
Opções disponíveis:
0, 1, 2 Resposta
200
OK
⌘I
